Đến nội dung


Hình ảnh
- - - - -

Biến pl phức tạp thành đơn giản mà diện tích không đổi


  • Please log in to reply
50 replies to this topic

#21 DuongTrungHuy

DuongTrungHuy

    biết lệnh copy

  • Members
  • PipPipPip
  • 116 Bài viết
Điểm đánh giá: 41 (tàm tạm)

Đã gửi 14 April 2011 - 01:50 PM

Hình đã gửi
Nhân đây nhờ các bạn giải giúp bài toán như hình vẽ. Cho cung tròn AB tâm O bk R. Dựng điểm C sao cho tổng diện tích màu vàng = màu đỏ. Cám ơn cac bạn

Hi!
Phức tạp Bạn nhỉ, ý mình là vẽ đại khái đường tựa thôi, chạy chương trình nó sẽ tạo ra đường kết quả chính xác hơn ví dụ ban đầu là sai số 5% thì sau đó sẽ có 1 đường kết quả với sai số 0.2%...Với cung tròn thì Bạn thử cái này xem sao, Mình mới cạhy thử 1 vài mẫu thấy ổn, chưa có thời gian để kiểm nghiệm chương trình nếu không ổn chỗ nào Bạn post lên ta cùng giải quyết. (Bạn nhớ chuyển trước bằng tay Arc thành Poly đã nhé)

(defun Dientich_3canh(la lb lc / p)
(setq p (/ (+ la lb lc) 2) Dientich (sqrt (* p (- p la)(- p lb)(- p lc))))
)
(defun c:Xapxi2()
(setvar "osmode" 0) (setvar "cmdecho" 0)
(setq e1 (car (entsel "\nCho duong chinh: ")))
(setq ds1 (acet-pline-segment-list e1)
ds2 (cdrr (cadddr ds1))
d1 (car (car ds1)) d2 (cadr (car ds1)) bulge1 (car ds2)
ts1 (acet-geom-pline-arc-info d1 d2 bulge1)
tamO (car ts1) bkR (cadr ts1) Ldai (cadddr ts1) LD (last ts1)
goc (angle tamO (list (/ (+ (car d1)(car d2)) 2) (/ (+ (cadr d1)(cadr d2)) 2)))
deltaL 1.0 l1 bkR Nua_goctamO (abs (/ (caddr ts1) 2))
)
(command "Undo" "be")
(While (> deltaL 0.0001)
(setq l1 (+ l1 deltaL) d3 (polar tamO goc l1))
(command "line" d2 d3 "")
(setq e2 (entlast) giao (acet-geom-intersectwith e1 e2 0))
(If (< (distance d2 (car giao)) 0.000001)(setq d4 (cadr giao)) (setq d4 (car giao)))
(setq goc1 (- (angle tamO d2) (angle tamO d4)))
(If (> goc1 Nua_goctamO)(setq goc1 (- (* 2 pi) goc1)))
(setq S1a (* goc1 bkR bkR 0.5)
S1b (Dientich_3canh bkR bkR (distance d2 d4))
S1 (- S1a S1b)
S2a (- (* Nua_goctamO bkR bkR 0.5) S1a)
S2b (Dientich_3canh bkR l1 (distance d3 d4))
S2 (- S2b S2a)
)
(entdel e2)
(If (< s1 s2)
(Progn
(setq l1 (- l1 deltaL) deltaL (/ deltaL 10.0))
(Print (list s1 s2 deltaL))
)
)
)
(command "line" d2 d3 "")
(command "Undo" "e")
)

Chúc may mắn!
  • 0

#22 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5447 Bài viết
Điểm đánh giá: 2624 (tuyệt vời)

Đã gửi 14 April 2011 - 02:08 PM

Hình đã gửi
Nhân đây nhờ các bạn giải giúp bài toán như hình vẽ. Cho cung tròn AB tâm O bk R. Dựng điểm C sao cho tổng diện tích màu vàng = màu đỏ. Cám ơn cac bạn

Gọi N là giao điểm của đoạn thẳng OC và cung AB.
Gọi Sct là diện tích cung tròn AN (cái này tính được).
Gọi Stg là diện tích tam giác OAC.
Điều kiên để Svàng=Sđỏ là Sct=Stg.
Như vậy, chỉ cần tìm điểm C chạy trên đường trung trực của AB để cho Stg=Sct là được rồi.
Việc này làm bằng cách tính Stg theo tọa độ C di động thì với bác chắc dư sức.
Có điều, nếu như C không nằm trên đường trung trực của AB thì có vô số điểm C như thế.
  • 0

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.


#23 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3804 (đỉnh cao)

Đã gửi 14 April 2011 - 02:18 PM

Hình đã gửi
Nhân đây nhờ các bạn giải giúp bài toán như hình vẽ. Cho cung tròn AB tâm O bk R. Dựng điểm C sao cho tổng diện tích màu vàng = màu đỏ. Cám ơn cac bạn

Bài toán này có vô số nghiệm, bác ạ!
Muốn diện tích hình đỏ bằng diện tích hình vàng thì diện tích tứ giác OABC bằng diện tích hình quạt OAB với O là tâm.
Đoạn OC di dộng từ A đến B, ta có thể tìm vô số điểm C như thế
  • 0

#24 TRUNGNGAMY

TRUNGNGAMY

    biết lệnh block

  • Members
  • PipPipPipPipPipPip
  • 401 Bài viết
Điểm đánh giá: 91 (tàm tạm)

Đã gửi 14 April 2011 - 03:22 PM

Bài toán này có vô số nghiệm, bác ạ!
Muốn diện tích hình đỏ bằng diện tích hình vàng thì diện tích tứ giác OABC bằng diện tích hình quạt OAB với O là tâm.
Đoạn OC di dộng từ A đến B, ta có thể tìm vô số điểm C như thế

Xin lỗi. Lần trước mình đã nói CA=CB nhưng khi up bị lỗi nên viết lại mình quên. Mình nghĩ có công thức hoặc PP dựng hình nào đó xác định cái là đc. Chứ thời học HH phẳng làm gì biết lặp
  • 0

#25 TRUNGNGAMY

TRUNGNGAMY

    biết lệnh block

  • Members
  • PipPipPipPipPipPip
  • 401 Bài viết
Điểm đánh giá: 91 (tàm tạm)

Đã gửi 14 April 2011 - 03:31 PM

Hi!
Phức tạp Bạn nhỉ, ý mình là vẽ đại khái đường tựa thôi, chạy chương trình nó sẽ tạo ra đường kết quả chính xác hơn ví dụ ban đầu là sai số 5% thì sau đó sẽ có 1 đường kết quả với sai số 0.2%...Với cung tròn thì Bạn thử cái này xem sao, Mình mới cạhy thử 1 vài mẫu thấy ổn, chưa có thời gian để kiểm nghiệm chương trình nếu không ổn chỗ nào Bạn post lên ta cùng giải quyết. (Bạn nhớ chuyển trước bằng tay Arc thành Poly đã nhé)

Chúc may mắn!

Mình chạy tre6n cad2006 nó báo như vậy, bạn xem lại giúp
Command: xapxi2

Cho duong chinh: ; error: no function definition: CDRR

Command:
  • 0

#26 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5447 Bài viết
Điểm đánh giá: 2624 (tuyệt vời)

Đã gửi 14 April 2011 - 03:55 PM

Xin lỗi. Lần trước mình đã nói CA=CB nhưng khi up bị lỗi nên viết lại mình quên. Mình nghĩ có công thức hoặc PP dựng hình nào đó xác định cái là đc. Chứ thời học HH phẳng làm gì biết lặp

Ơ hay! Cái việc tìm điểm C này không có gì gọi là "lặp" cả Bác ạ.
Tam giác OAC biết trước 1 cạnh và 1 góc + điểm C di động trên 1 đường thẳng đã biết. Chuyển chúng qua hệ tọa độ Đề Các, tính S theo tọa độ (x,y) của C, cho S này bằng S kia, giải phương trình tìm ra (x,y), xong. Tuy nhiên công thức kết quả thì hơi... lòng thòng đấy.
Ở đây nói với điều kiện CA=CB.
Nói thêm: có thể chọn 1 trục trùng với OC => chỉ tìm mỗi x hoặc y.
  • 0

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.


#27 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3804 (đỉnh cao)

Đã gửi 14 April 2011 - 03:58 PM

Xin lỗi. Lần trước mình đã nói CA=CB nhưng khi up bị lỗi nên viết lại mình quên. Mình nghĩ có công thức hoặc PP dựng hình nào đó xác định cái là đc. Chứ thời học HH phẳng làm gì biết lặp

Gọi a là góc chắn cung AOB, a tính bằng radian
Gọi R là bán kính cung AB,
OC x AB = a x R x R

-> Bác có thể tính được OC
-> Biết tọa độ điểm O, biết góc OC nghiêng so với phương ngang => Tọa độ C
  • 1

#28 DuongTrungHuy

DuongTrungHuy

    biết lệnh copy

  • Members
  • PipPipPip
  • 116 Bài viết
Điểm đánh giá: 41 (tàm tạm)

Đã gửi 14 April 2011 - 04:04 PM

Mình chạy tre6n cad2006 nó báo như vậy, bạn xem lại giúp
Command: xapxi2

Cho duong chinh: ; error: no function definition: CDRR

Command:

...Xin lỗi nhé. Nó đây, Bạn load lại cả 3 hàm này!




(defun cdrr(ds1 / dsbo)
(setq dsbo1 (reverse (cdr (reverse ds1))))
)

(defun Dientich_3canh(la lb lc / p)
(setq p (/ (+ la lb lc) 2) Dientich (sqrt (* p (- p la)(- p lb)(- p lc))))
)
(defun c:Xapxi2()
(setvar "osmode" 0) (setvar "cmdecho" 0)
(setq e1 (car (entsel "\nCho duong chinh: ")))
(setq ds1 (acet-pline-segment-list e1)
ds2 (cdrr (cadddr ds1))
d1 (car (car ds1)) d2 (cadr (car ds1)) bulge1 (car ds2)
ts1 (acet-geom-pline-arc-info d1 d2 bulge1)
tamO (car ts1) bkR (cadr ts1) Ldai (cadddr ts1) LD (last ts1)
goc (angle tamO (list (/ (+ (car d1)(car d2)) 2) (/ (+ (cadr d1)(cadr d2)) 2)))
deltaL 1.0 l1 bkR Nua_goctamO (abs (/ (caddr ts1) 2))
)
(command "Undo" "be")
(While (> deltaL 0.0001)
(setq l1 (+ l1 deltaL) d3 (polar tamO goc l1))
(command "line" d2 d3 "")
(setq e2 (entlast) giao (acet-geom-intersectwith e1 e2 0))
(If (< (distance d2 (car giao)) 0.000001)(setq d4 (cadr giao)) (setq d4 (car giao)))
(setq goc1 (- (angle tamO d2) (angle tamO d4)))
(If (> goc1 Nua_goctamO)(setq goc1 (- (* 2 pi) goc1)))
(setq S1a (* goc1 bkR bkR 0.5)
S1b (Dientich_3canh bkR bkR (distance d2 d4))
S1 (- S1a S1b)
S2a (- (* Nua_goctamO bkR bkR 0.5) S1a)
S2b (Dientich_3canh bkR l1 (distance d3 d4))
S2 (- S2b S2a)
)
(entdel e2)
(If (< s1 s2)
(Progn
(setq l1 (- l1 deltaL) deltaL (/ deltaL 10.0))
(Print (list s1 s2 deltaL))
)
)
)
(command "line" d2 d3 "")
(command "Undo" "e")
)
  • 0

#29 TRUNGNGAMY

TRUNGNGAMY

    biết lệnh block

  • Members
  • PipPipPipPipPipPip
  • 401 Bài viết
Điểm đánh giá: 91 (tàm tạm)

Đã gửi 14 April 2011 - 11:19 PM

...Xin lỗi nhé. Nó đây, Bạn load lại cả 3 hàm này!




(defun cdrr(ds1 / dsbo)
(setq dsbo1 (reverse (cdr (reverse ds1))))
)

(defun Dientich_3canh(la lb lc / p)
(setq p (/ (+ la lb lc) 2) Dientich (sqrt (* p (- p la)(- p lb)(- p lc))))
)
(defun c:Xapxi2()
(setvar "osmode" 0) (setvar "cmdecho" 0)
(setq e1 (car (entsel "\nCho duong chinh: ")))
(setq ds1 (acet-pline-segment-list e1)
ds2 (cdrr (cadddr ds1))
d1 (car (car ds1)) d2 (cadr (car ds1)) bulge1 (car ds2)
ts1 (acet-geom-pline-arc-info d1 d2 bulge1)
tamO (car ts1) bkR (cadr ts1) Ldai (cadddr ts1) LD (last ts1)
goc (angle tamO (list (/ (+ (car d1)(car d2)) 2) (/ (+ (cadr d1)(cadr d2)) 2)))
deltaL 1.0 l1 bkR Nua_goctamO (abs (/ (caddr ts1) 2))
)
(command "Undo" "be")
(While (> deltaL 0.0001)
(setq l1 (+ l1 deltaL) d3 (polar tamO goc l1))
(command "line" d2 d3 "")
(setq e2 (entlast) giao (acet-geom-intersectwith e1 e2 0))
(If (< (distance d2 (car giao)) 0.000001)(setq d4 (cadr giao)) (setq d4 (car giao)))
(setq goc1 (- (angle tamO d2) (angle tamO d4)))
(If (> goc1 Nua_goctamO)(setq goc1 (- (* 2 pi) goc1)))
(setq S1a (* goc1 bkR bkR 0.5)
S1b (Dientich_3canh bkR bkR (distance d2 d4))
S1 (- S1a S1b)
S2a (- (* Nua_goctamO bkR bkR 0.5) S1a)
S2b (Dientich_3canh bkR l1 (distance d3 d4))
S2 (- S2b S2a)
)
(entdel e2)
(If (< s1 s2)
(Progn
(setq l1 (- l1 deltaL) deltaL (/ deltaL 10.0))
(Print (list s1 s2 deltaL))
)
)
)
(command "line" d2 d3 "")
(command "Undo" "e")
)

Kg đc bạn ạ. Mình vẽ thử pl gồm 1 hoặc nhiều cung tròn bk khoảng 15, 20, hở hay đóng nó đều cho ra 1 cái line rồi thôi.

Cám ơn hai bác gợi ý cách tìm điểm C. Để mình viết xong phần cung tròn sẽ tham khảo các bác về các TH khác
  • 0

#30 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5679 Bài viết
Điểm đánh giá: 2605 (tuyệt vời)

Đã gửi 14 April 2011 - 11:58 PM

Em thấy các bác đưa ra cách giải quyết hình học hợp lý quá, mà hok biết các bác có cần rào chắn cho C hoặc cung nó giống như cái hình kia hok?? Chẳng hạn cung nó là nửa già cái bánh thì hok biết phần đỏ là phần nào, vàng là phần nào nữa :((
  • 0

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#31 TRUNGNGAMY

TRUNGNGAMY

    biết lệnh block

  • Members
  • PipPipPipPipPipPip
  • 401 Bài viết
Điểm đánh giá: 91 (tàm tạm)

Đã gửi 15 April 2011 - 12:08 AM

Gọi a là góc chắn cung AOB, a tính bằng radian
Gọi R là bán kính cung AB,
OC x AB = a x R x R

-> Bác có thể tính được OC
-> Biết tọa độ điểm O, biết góc OC nghiêng so với phương ngang => Tọa độ C

Qúa hay. Đúng là các bác đầu óc tinh nhanh thật. Hôm nọ mình muốn tìm cách tính cái phần diện tích chắn bởi dây cung AB, phải tìm quyển sổ tay toán học mới biết nó gọi là diện tích hình viên phân.
Như vây bài toán "Biến pl phức tạp thành đơn giản mà diện tích kg đổi" với TH là cung tròn về mặt ý tưởng xem như đã xong. Do điểm C đc xác định bằng công thức nên sai số về diện tích gần như bằng 0 (chỉ còn sai số tính toán).
Goi H là hình chiếu của C lên cung AB. CH chính là khoảng cách lớn nhất từ đường mô phỏng đến đg cong gốc. Ứng với CH nhập vào ta tìm đc AB, từ AB tìm đc số cung AB cần chia cho một cung tròn thật tạo nên cái pl gốc. Ứng với mỗi cung tròn thật có trong pl ta sẽ tìm đc AB lớn nhất theo khoảng cách <=CH từ đó vẽ lại cái pl (có cung tròn) thành pl toàn line, có độ lệch nhỏ hơn hoặc bằng số liệu nhập vào và diện tích gần như kg đổi.
Các bạn thấy mình viết hơi dài dòng thì phải. Tại vì mình chưa hẳn đã viết đc nhanh cái ý tưởng đó thành lisp vì kiến thức đã quên nhiều rồi.

Với ý tưởng trên, phiền các bạn góp ý thêm các TH khác của pl nên xử lý thế nào và có ý tưởng nào khác nhanh hơn chăng. Cám ơn các bạn
  • 0

#32 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5447 Bài viết
Điểm đánh giá: 2624 (tuyệt vời)

Đã gửi 15 April 2011 - 12:21 AM

Em thấy các bác đưa ra cách giải quyết hình học hợp lý quá, mà hok biết các bác có cần rào chắn cho C hoặc cung nó giống như cái hình kia hok?? Chẳng hạn cung nó là nửa già cái bánh thì hok biết phần đỏ là phần nào, vàng là phần nào nữa :((

Nửa già cái bánh thì vẫn tồn tại điểm C mà bác?
  • 0

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.


#33 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3804 (đỉnh cao)

Đã gửi 15 April 2011 - 06:50 AM

Qúa hay. Đúng là các bác đầu óc tinh nhanh thật. Hôm nọ mình muốn tìm cách tính cái phần diện tích chắn bởi dây cung AB, phải tìm quyển sổ tay toán học mới biết nó gọi là diện tích hình viên phân.
Như vây bài toán "Biến pl phức tạp thành đơn giản mà diện tích kg đổi" với TH là cung tròn về mặt ý tưởng xem như đã xong. Do điểm C đc xác định bằng công thức nên sai số về diện tích gần như bằng 0 (chỉ còn sai số tính toán).
Goi H là hình chiếu của C lên cung AB. CH chính là khoảng cách lớn nhất từ đường mô phỏng đến đg cong gốc. Ứng với CH nhập vào ta tìm đc AB, từ AB tìm đc số cung AB cần chia cho một cung tròn thật tạo nên cái pl gốc. Ứng với mỗi cung tròn thật có trong pl ta sẽ tìm đc AB lớn nhất theo khoảng cách <=CH từ đó vẽ lại cái pl (có cung tròn) thành pl toàn line, có độ lệch nhỏ hơn hoặc bằng số liệu nhập vào và diện tích gần như kg đổi.
Các bạn thấy mình viết hơi dài dòng thì phải. Tại vì mình chưa hẳn đã viết đc nhanh cái ý tưởng đó thành lisp vì kiến thức đã quên nhiều rồi.

Với ý tưởng trên, phiền các bạn góp ý thêm các TH khác của pl nên xử lý thế nào và có ý tưởng nào khác nhanh hơn chăng. Cám ơn các bạn

1. Em chỉ đơn giản để chứng minh bài toán theo con đường ngắn nhất.
Tỷ như bác có thể chứng minh được tứ giác (đa giác lồi và đa giác lõm)có 2 đường chéo vuông góc thì diện tích của nó bằng 1/2 tích 2 đường chéo. Còn diện tích hình quạt thì em không cần nhớ. Em nhớ mỗi diện tích hình tròn là đủ. Vì bản thân hình tròn có góc ở tâm bằng 360 độ còn hình quạt thì chẳng qua có góc ở tâm < 360 độ mà thôi.

2. Bác phải viết điều kiện khống chế đoạn CH nhập vào.
Dựa vào cung AB cho trước, ta có thể tính được khoảng cách CH max = OC max - R.
Như vậy là đoạn Line mô phỏng ấy có 1 điểm nằm trên cung, điểm còn lại chính là C phải không bác? Nếu ý bác là như thế thì ý tưởng trên hoàn toàn có cơ sở để thực hiện được, còn như hình vẽ đầu mà bác đưa ra thì có nhiều nghiệm quá... :rolleyes:
Diện tích theo cách tính mà em đưa ra là không đổi, sai số do tính toán số lẻ thập phân mà thôi và độ lệch bao giờ cũng <= CH mà bác nhập vào

@KetXu: C bao giờ cũng di chuyển trên cung thực AB. Cách tính trên của Tue_NV ứng với góc chắn cung AB nằm trong khoảng từ 0 -> 360 độ luôn. Bạn có thể kiểm chứng. Mình đã chứng minh. Không biết "rào chắn " mà bạn nói để "chắn" gì nhỉ?

Chúc mọi người 1 buổi sáng tốt lành
  • 0

#34 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5679 Bài viết
Điểm đánh giá: 2605 (tuyệt vời)

Đã gửi 15 April 2011 - 08:20 AM

Vì e chưa hiểu khi cung nó ôm cả điểm O thì phần vàng là phần nào, phần đỏ là phần nào thôi bác ^^
  • 0

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#35 DuongTrungHuy

DuongTrungHuy

    biết lệnh copy

  • Members
  • PipPipPip
  • 116 Bài viết
Điểm đánh giá: 41 (tàm tạm)

Đã gửi 15 April 2011 - 10:04 AM

Kg đc bạn ạ. Mình vẽ thử pl gồm 1 hoặc nhiều cung tròn bk khoảng 15, 20, hở hay đóng nó đều cho ra 1 cái line rồi thôi.

Cám ơn hai bác gợi ý cách tìm điểm C. Để mình viết xong phần cung tròn sẽ tham khảo các bác về các TH khác

...Đúng rồi đó do gấp quá nên Mình chưa hoàn chỉnh. Bạn lấy đối xứng qua cung tròn đó là đươc cái phải tìm. Mình nghĩ phần việc còn lại nhờ Bạn tiếp sức, đoạn thẳng đó chính là AC, BC thì lấy đối xứng. Bạn thấy đúng ý của Bạn thì Mình bổ sung thêm. Mình chỉ lập với 1 Poly chuyển từ arc qua đơn độc và từ đó mới vận dụng tiếp tùy tình hình cụ thể. Bạn kiểm tra diện tích thì sẽ thấy các diện tích bù nhau...
Như vậy đây là kết quả của xấp xỉ bằng 2 đoạn, Mình đã viết trường hợp = 3 đoạn nhưng để Bạn xem đã đạt yêu cầu trường hượp 2 đoạn này chưa?
  • 0

#36 DuongTrungHuy

DuongTrungHuy

    biết lệnh copy

  • Members
  • PipPipPip
  • 116 Bài viết
Điểm đánh giá: 41 (tàm tạm)

Đã gửi 15 April 2011 - 10:10 AM

...Đúng rồi đó do gấp quá nên Mình chưa hoàn chỉnh. Bạn lấy đối xứng qua cung tròn đó là đươc cái phải tìm. Mình nghĩ phần việc còn lại nhờ Bạn tiếp sức, đoạn thẳng đó chính là AB, BC thì lấy đối xứng. Bạn thấy đúng ý của Bạn thì Mình bổ sung thêm. Mình chỉ lập với 1 Poly chuyển từ arc qua đơn độc và từ đó mới vận dụng tiếp tùy tình hình cụ thể. Bạn kiểm tra diện tích thì sẽ thấy các diện tích bù nhau...


  • 0

#37 TRUNGNGAMY

TRUNGNGAMY

    biết lệnh block

  • Members
  • PipPipPipPipPipPip
  • 401 Bài viết
Điểm đánh giá: 91 (tàm tạm)

Đã gửi 15 April 2011 - 02:11 PM

...Đúng rồi đó do gấp quá nên Mình chưa hoàn chỉnh. Bạn lấy đối xứng qua cung tròn đó là đươc cái phải tìm. Mình nghĩ phần việc còn lại nhờ Bạn tiếp sức, đoạn thẳng đó chính là AC, BC thì lấy đối xứng. Bạn thấy đúng ý của Bạn thì Mình bổ sung thêm. Mình chỉ lập với 1 Poly chuyển từ arc qua đơn độc và từ đó mới vận dụng tiếp tùy tình hình cụ thể. Bạn kiểm tra diện tích thì sẽ thấy các diện tích bù nhau...
Như vậy đây là kết quả của xấp xỉ bằng 2 đoạn, Mình đã viết trường hợp = 3 đoạn nhưng để Bạn xem đã đạt yêu cầu trường hượp 2 đoạn này chưa?

Cám ơn bạn. Không phải mình quyết định chia 2 hay 3 đoạn bạn ạ. Chính khoảng cách CH (độ lệch lơn nhất của đoạn thẳng và đường cong) nhập vào cùng với độ lớn bk và độ dài cung tròn quyết định phải chia bao nhiêu đọan AB như vậy. Bài toán này mình chưa viết ra lisp cụ thể nên chưa nói rõ cho bạn đc. Nếu bạn có thể viết lisp nhanh thì bạn viết giúp mình. Một lần nữa cám ơn bạn
  • 0

#38 DuongTrungHuy

DuongTrungHuy

    biết lệnh copy

  • Members
  • PipPipPip
  • 116 Bài viết
Điểm đánh giá: 41 (tàm tạm)

Đã gửi 15 April 2011 - 03:20 PM

Cám ơn bạn. Không phải mình quyết định chia 2 hay 3 đoạn bạn ạ. Chính khoảng cách CH (độ lệch lơn nhất của đoạn thẳng và đường cong) nhập vào cùng với độ lớn bk và độ dài cung tròn quyết định phải chia bao nhiêu đọan AB như vậy. Bài toán này mình chưa viết ra lisp cụ thể nên chưa nói rõ cho bạn đc. Nếu bạn có thể viết lisp nhanh thì bạn viết giúp mình. Một lần nữa cám ơn bạn

Bạn xem thử kết qủa ở file này xem. Thấy bài toán Bạn đưa ra hay nên Mình làm cho vui thôi! Mong là nó có ích cho Bạn.
Nếu Bạn thấy tạm ổn Mình sẽ up chương trình lên nhé!
http://www.cadviet.c...s/3/xapxi_1.dwg
  • 0

#39 DuongTrungHuy

DuongTrungHuy

    biết lệnh copy

  • Members
  • PipPipPip
  • 116 Bài viết
Điểm đánh giá: 41 (tàm tạm)

Đã gửi 15 April 2011 - 03:36 PM

Cám ơn bạn. Không phải mình quyết định chia 2 hay 3 đoạn bạn ạ. Chính khoảng cách CH (độ lệch lơn nhất của đoạn thẳng và đường cong) nhập vào cùng với độ lớn bk và độ dài cung tròn quyết định phải chia bao nhiêu đọan AB như vậy. Bài toán này mình chưa viết ra lisp cụ thể nên chưa nói rõ cho bạn đc. Nếu bạn có thể viết lisp nhanh thì bạn viết giúp mình. Một lần nữa cám ơn bạn

Hình đã gửi
  • 0

#40 TRUNGNGAMY

TRUNGNGAMY

    biết lệnh block

  • Members
  • PipPipPipPipPipPip
  • 401 Bài viết
Điểm đánh giá: 91 (tàm tạm)

Đã gửi 16 April 2011 - 01:03 AM

Bạn xem thử kết qủa ở file này xem. Thấy bài toán Bạn đưa ra hay nên Mình làm cho vui thôi! Mong là nó có ích cho Bạn.
Nếu Bạn thấy tạm ổn Mình sẽ up chương trình lên nhé!
http://www.cadviet.c...s/3/xapxi_1.dwg

Chắc là bạn up chương trình lên để mình và mọi người cùng tham khảo. Kg hiểu sao cái máy của mình bị lỗi gì mà khi down file dwg của bạn nó chỉ hiện lên màn hình toàn chữ V
  • 0